Subject: bug#61885: closed (Re: bug#61885: [PATCH] gnu: go-github-com-robfig-cron-1.2: Move to (gnu packages golang))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Mar 2023 22:33:02 +0000

Your bug report

#61885: `guix import go` fails outside of pre-inst-env

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61885: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61885
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61885: [PATCH] gnu: go-github-com-robfig-cron-1.2: Move to (gnu packages golang)
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 02 Mar 2023 23:31:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Winter,

Simon Tournier 写道：
>> Becaus (gnu packages golang) and (gnu packages check) use each 
>> other, this
>       -^
>    Typo
>
> s/Becaus/Because I guess

Pushed as 997b93cc4a6deff54ebd854a716cca94095114bf with this fix. 
Thanks!

I'll close this bug now; the more general problem (and more 
work-arounds to it) are tracked in others.

Kind regards,

T G-R

Subject: `guix import go` fails outside of pre-inst-env
From: [email-masked]
To: [email-masked]
Date: Tue, 28 Feb 2023 22:42:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

As of commit ec8c7370dfd66136f7cb517d31fa6fda31e2cb74, the following `guix import` invocation fails:

$ guix import go --recursive github.com/tdewolff/minify/v2
Backtrace:
In ice-9/boot-9.scm:
  222:29 19 (map1 _)
  222:29 18 (map1 _)
  222:29 17 (map1 _)
  222:29 16 (map1 _)
  222:29 15 (map1 _)
  222:29 14 (map1 _)
  222:29 13 (map1 _)
  222:29 12 (map1 _)
  222:29 11 (map1 _)
  222:17 10 (map1 (((gnu packages check)) ((gnu packages #)) ((…)) …))
 3327:17  9 (resolve-interface (gnu packages check) #:select _ # _ # …)
In ice-9/threads.scm:
   390:8  8 (_ _)
In ice-9/boot-9.scm:
 3253:13  7 (_)
In ice-9/threads.scm:
   390:8  6 (_ _)
In ice-9/boot-9.scm:
 3544:20  5 (_)
  2836:4  4 (save-module-excursion _)
 3564:26  3 (_)
In unknown file:
          2 (primitive-load-path "gnu/packages/check" #<procedure a…>)
In gnu/packages/check.scm:
 1037:13  1 (_)
In ice-9/boot-9.scm:
 1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
error: go-github-com-robfig-cron: unbound variable

Strangely enough, it does work inside pre-inst-env with that same commit:

$ ./pre-inst-env guix import go --recursive github.com/tdewolff/minify/v2
(define-public go-github-com-djherbis-atime
<...>

I'm very unsure as to why this is happening, as `(gnu packages golang)` is imported in `(gnu packages check)`. Plus, even more weirdly, `guix build` can't find the problematic package, but can build the one that depends on it:

$ guix build go-github-com-robfig-cron-1.2
guix build: error: go-github-com-robfig-cron-1.2: unknown package
$ guix build actionlint
/gnu/store/0nzn1lbq02mfp6ka7z34lp9ly5nhlrv4-actionlint-1.6.23

I'd appreciate any help tracking down what could possibly be wrong here, as it's very puzzling.

Thanks,
Winter